Bug 196559 - Kernel-2.6.17-1.2139_FC5 freez X-Server
Kernel-2.6.17-1.2139_FC5 freez X-Server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-24 14:24 EDT by Need Real Name
Modified: 2015-01-04 17:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 14:12:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg-Log-File (38.16 KB, text/plain)
2006-06-24 14:24 EDT, Need Real Name
no flags Details
ACPI errors in latest kernel (22.14 KB, text/plain)
2006-07-04 06:20 EDT, Davide Rossetti
no flags Details

  None (edit)
Description Need Real Name 2006-06-24 14:24:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Kernel-2.6.17-1.2139_FC5 freez X-Server

Xorg-1.0.1-9.fc5.1.1



How reproducible:


Steps to Reproduce:
1. Update to new Kernel, boot the new kernel
2. boot in runlevel 5
3. black screen, fedora freezed
  
Actual results:

With Kernel-2.6.16-1.2133_FC5 all fine.

Expected results:


Additional info:
Comment 1 Need Real Name 2006-06-24 14:24:13 EDT
Created attachment 131485 [details]
Xorg-Log-File
Comment 2 Need Real Name 2006-06-24 14:25:41 EDT
ello,

i used the Kernel- an all was fine.

Today (Sa. 06-24-2006) i made a "yum -y update"
and the new Kernel-2.6.17-1.2139_FC5 an boot it.

I can see the GraphicBoot but at change to Login Screen
the Display goes BLACK, and thats it.
I cant change to Console (STRG+ALT+F1).

I tryed to boot in Runlevel 3, all fine.

I start the X-Server with startx, and the same
problem. X-Server goes black, freez.

please see the LogFile: Xorg.0.log

dennis
Comment 3 Tomasz Kepczynski 2006-06-24 15:51:14 EDT
I've got similar problem. The same system with 2133 works fine and
with 2139 X session freezes a few moments after logging into KDE
session. It's on Thinkpad T42p.
Comment 4 Robert Marcano 2006-06-24 23:37:37 EDT
Same here. After disabling rhgb i can get to the login screen and login, but if
I logout X hangs with a black screen. After login in less than a minute the
machine hangs. i am using a Thinkpad R50p (ATI Technologies Inc M10 NT [FireGL
Mobility T2])
Comment 5 Nikos Charonitakis 2006-06-28 14:44:20 EDT
I've got similar problem. The same system with 2133 works fine and
with 2139 X session freezes a few minutes after logging into GNOME
session.
Comment 6 Davide Rossetti 2006-07-03 08:29:05 EDT
Same for me. It's a Toshiba M40-139 with ATI M300.

booting runlevel 3, I can see lots of ACPI errors. then, doing startx, the PC
locks solid.

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
...
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 04)
...
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8036 PCI-E Fast
Ethernet Controller (rev 10)
06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
Comment 7 Davide Rossetti 2006-07-04 06:20:51 EDT
Created attachment 131896 [details]
ACPI errors in latest kernel
Comment 8 Robert Marcano 2006-07-10 11:51:48 EDT
xorg-x11-drv-ati.i386 6.5.8.0-1 update solved the problem for me, see comment #4
Comment 9 Dave Jones 2006-10-16 16:55:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Need Real Name 2006-10-17 03:16:42 EDT
OK, thanks ! 
It works, you can close the bug id: 196559

Note You need to log in before you can comment on or make changes to this bug.